%define upstream_name    JSON-XS
%define upstream_version 3.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    JSON (JavaScript Object Notation) serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz
# https://rt.cpan.org/Public/Bug/Display.html?id=84151
Patch0:     JSON-XS-2.33-fix_hash_ordering.patch

BuildRequires: perl(Canary::Stability)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Types::Serialiser)
BuildRequires: perl(common::sense)
BuildRequires: perl-devel
Requires:   perl(common::sense)
%description
JSON serialising/deserialising, done correctly and fast.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -b .hash

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%defattr(0644,root,root,0755)
%doc COPYING Changes META.json META.yml MYMETA.yml README XS eg
%{_mandir}/*/*
%{_bindir}/json_xs
%{perl_vendorarch}/JSON*
%{perl_vendorarch}/auto/JSON/XS/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:3.20.0-2.mga6
+ Revision: 1028886
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1:3.20.0-1.mga6
+ Revision: 1001997
- update to 3.02

* Fri Feb 12 2016 umeabot <umeabot> 1:3.10.0-7.mga6
+ Revision: 957581
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1:3.10.0-6.mga6
+ Revision: 844935
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1:3.10.0-5.mga6
+ Revision: 840847
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 1:3.10.0-4.mga5
+ Revision: 743762
- Second Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 1:3.10.0-3.mga5
+ Revision: 685147
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1:3.10.0-2.mga5
+ Revision: 631330
- Rebuild for perl 5.20

* Fri Feb 07 2014 sander85 <sander85> 1:3.10.0-1.mga5
+ Revision: 585276
- update to 3.01

* Sat Oct 19 2013 umeabot <umeabot> 1:2.340.0-2.mga4
+ Revision: 525979
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 1:2.340.0-1.mga4
+ Revision: 435035
- update to 2.34

* Wed May 29 2013 jquelin <jquelin> 1:2.330.0-3.mga4
+ Revision: 430911
- fix hash ordering (rt#84151)
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:2.330.0-2.mga3
+ Revision: 368810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1:2.330.0-1.mga3
+ Revision: 286219
- update to 2.33

* Wed May 30 2012 jquelin <jquelin> 1:2.320.0-2.mga3
+ Revision: 250798
- rebuild for perl 5.16
- update to 2.32

  + kharec <kharec>
    - update to 2.31

* Sun Jun 12 2011 sander85 <sander85> 1:2.300.0-2.mga2
+ Revision: 104714
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 1:2.300.0-1.mga1
+ Revision: 33893
- mageia rebuild
- imported package perl-JSON-XS


* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.300.0-1mdv2011.0
+ Revision: 572222
- update to 2.3

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.290.0-2mdv2011.0
+ Revision: 555970
- rebuild for perl 5.12

* Wed Mar 17 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.290.0-1mdv2010.1
+ Revision: 523434
- update to 2.29

* Fri Mar 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.280.0-1mdv2010.1
+ Revision: 518484
- update to 2.28

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.270.0-2mdv2010.1
+ Revision: 504859
- adding missing requires:

* Thu Jan 07 2010 Jérôme Quelin <jquelin@mandriva.org> 1:2.270.0-1mdv2010.1
+ Revision: 487049
- update to 2.27

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1:2.260.0-1mdv2010.1
+ Revision: 461321
- update to 2.26

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 1:2.250.0-1mdv2010.0
+ Revision: 415039
- adding missing buildrequires:
- forgot to commit tarball
- update to 2.25

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1:2.240.0-1mdv2010.0
+ Revision: 393298
- update to 2.24
- using %%perl_convert_version
- bumping epoch to make sure old (braindead) version scheme is forgotten

* Fri Feb 20 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2311-1mdv2009.1
+ Revision: 343258
- update to new version 2311

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2222-1mdv2009.1
+ Revision: 305734
- update to new version 2.2222

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.23-1mdv2009.1
+ Revision: 292193
- update to new version 2.23

* Sat Jul 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.22.2-1mdv2009.0
+ Revision: 238738
- new version

* Mon Jun 16 2008 Adam Williamson <awilliamson@mandriva.org> 2.21-1mdv2009.0
+ Revision: 220523
- import perl-JSON-XS


